1#! /bin/bash
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/bash}
11## --------------------- ##
12## M4sh Initialization.  ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17  emulate sh
18  NULLCMD=:
19  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20  # is contrary to our usage.  Disable this feature.
21  alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23  set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29  as_unset=unset
30else
31  as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45  LC_TELEPHONE LC_TIME
46do
47  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48    eval $as_var=C; export $as_var
49  else
50    $as_unset $as_var
51  fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56  as_expr=expr
57else
58  as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62  as_basename=basename
63else
64  as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71	 X"$0" : 'X\(//\)$' \| \
72	 X"$0" : 'X\(/\)$' \| \
73	 .     : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
77  	  /^X\/\(\/\).*/{ s//\1/; q; }
78  	  s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91  echo "#! /bin/sh" >conf$$.sh
92  echo  "exit 0"   >>conf$$.sh
93  chmod +x conf$$.sh
94  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95    PATH_SEPARATOR=';'
96  else
97    PATH_SEPARATOR=:
98  fi
99  rm -f conf$$.sh
100fi
101
102
103  as_lineno_1=$LINENO
104  as_lineno_2=$LINENO
105  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106  test "x$as_lineno_1" != "x$as_lineno_2" &&
107  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
108  # Find who we are.  Look in the path if we contain no path at all
109  # relative or not.
110  case $0 in
111    *[\\/]* ) as_myself=$0 ;;
112    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115  IFS=$as_save_IFS
116  test -z "$as_dir" && as_dir=.
117  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120       ;;
121  esac
122  # We did not find ourselves, most probably we were run as `sh COMMAND'
123  # in which case we are not to be found in the path.
124  if test "x$as_myself" = x; then
125    as_myself=$0
126  fi
127  if test ! -f "$as_myself"; then
128    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130   { (exit 1); exit 1; }; }
131  fi
132  case $CONFIG_SHELL in
133  '')
134    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137  IFS=$as_save_IFS
138  test -z "$as_dir" && as_dir=.
139  for as_base in sh bash ksh sh5; do
140	 case $as_dir in
141	 /*)
142	   if ("$as_dir/$as_base" -c '
143  as_lineno_1=$LINENO
144  as_lineno_2=$LINENO
145  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146  test "x$as_lineno_1" != "x$as_lineno_2" &&
147  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
148	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150	     CONFIG_SHELL=$as_dir/$as_base
151	     export CONFIG_SHELL
152	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153	   fi;;
154	 esac
155       done
156done
157;;
158  esac
159
160  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161  # uniformly replaced by the line number.  The first 'sed' inserts a
162  # line-number line before each line; the second 'sed' does the real
163  # work.  The second script uses 'N' to pair each line-number line
164  # with the numbered line, and appends trailing '-' during
165  # substitution so that $LINENO is not a special case at line end.
166  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
168  sed '=' <$as_myself |
169    sed '
170      N
171      s,$,-,
172      : loop
173      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174      t loop
175      s,-$,,
176      s,^['$as_cr_digits']*\n,,
177    ' >$as_me.lineno &&
178  chmod +x $as_me.lineno ||
179    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181   { (exit 1); exit 1; }; }
182
183  # Don't try to exec as it changes $[0], causing all sort of problems
184  # (the dirname of $[0] is not the place where we might find the
185  # original and so on.  Autoconf is especially sensible to this).
186  . ./$as_me.lineno
187  # Exit status is that of the last command.
188  exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193  *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T='	' ;;
195  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200  as_expr=expr
201else
202  as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208  # We could just check for DJGPP; but this test a) works b) is more generic
209  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210  if test -f conf$$.exe; then
211    # Don't use ln at all; we don't have any links
212    as_ln_s='cp -p'
213  else
214    as_ln_s='ln -s'
215  fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217  as_ln_s=ln
218else
219  as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224  as_mkdir_p=:
225else
226  test -d ./-p && rmdir ./-p
227  as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS=" 	$as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling.  Logging --version etc. is OK.
253exec 5>>config.log
254{
255  echo
256  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by GRUB $as_me 0.95, which was
263generated by GNU Autoconf 2.59.  Invocation command line was
264
265  CONFIG_FILES    = $CONFIG_FILES
266  CONFIG_HEADERS  = $CONFIG_HEADERS
267  CONFIG_LINKS    = $CONFIG_LINKS
268  CONFIG_COMMANDS = $CONFIG_COMMANDS
269  $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" Makefile stage1/Makefile stage2/Makefile docs/Makefile lib/Makefile util/Makefile grub/Makefile netboot/Makefile util/grub-image util/grub-install util/grub-md5-crypt util/grub-terminfo util/grub-set-default"
275config_headers=" config.h"
276config_commands=" depfiles"
277
278ac_cs_usage="\
279\`$as_me' instantiates files from templates according to the
280current configuration.
281
282Usage: $0 [OPTIONS] [FILE]...
283
284  -h, --help       print this help, then exit
285  -V, --version    print version number, then exit
286  -q, --quiet      do not print progress messages
287  -d, --debug      don't remove temporary files
288      --recheck    update $as_me by reconfiguring in the same conditions
289  --file=FILE[:TEMPLATE]
290		   instantiate the configuration file FILE
291  --header=FILE[:TEMPLATE]
292		   instantiate the configuration header FILE
293
294Configuration files:
295$config_files
296
297Configuration headers:
298$config_headers
299
300Configuration commands:
301$config_commands
302
303Report bugs to <bug-autoconf@gnu.org>."
304ac_cs_version="\
305GRUB config.status 0.95
306configured by ./configure, generated by GNU Autoconf 2.59,
307  with options \"'--prefix=/platform/i86pc/boot/grub' '--with-binutils=/opt/grubbld/bin' '--disable-dependency-tracking' 'CC=/opt/grubbld/bin/gcc'\"
308
309Copyright (C) 2003 Free Software Foundation, Inc.
310This config.status script is free software; the Free Software Foundation
311gives unlimited permission to copy, distribute and modify it."
312srcdir=.
313INSTALL="/usr/ucb/install"
314# If no file are specified by the user, then we need to provide default
315# value.  By we need to know if files were specified by the user.
316ac_need_defaults=:
317while test $# != 0
318do
319  case $1 in
320  --*=*)
321    ac_option=`expr "x$1" : 'x\([^=]*\)='`
322    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323    ac_shift=:
324    ;;
325  -*)
326    ac_option=$1
327    ac_optarg=$2
328    ac_shift=shift
329    ;;
330  *) # This is not an option, so the user has probably given explicit
331     # arguments.
332     ac_option=$1
333     ac_need_defaults=false;;
334  esac
335
336  case $ac_option in
337  # Handling of the options.
338  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339    ac_cs_recheck=: ;;
340  --version | --vers* | -V )
341    echo "$ac_cs_version"; exit 0 ;;
342  --he | --h)
343    # Conflict between --help and --header
344    { { echo "$as_me:$LINENO: error: ambiguous option: $1
345Try \`$0 --help' for more information." >&5
346echo "$as_me: error: ambiguous option: $1
347Try \`$0 --help' for more information." >&2;}
348   { (exit 1); exit 1; }; };;
349  --help | --hel | -h )
350    echo "$ac_cs_usage"; exit 0 ;;
351  --debug | --d* | -d )
352    debug=: ;;
353  --file | --fil | --fi | --f )
354    $ac_shift
355    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356    ac_need_defaults=false;;
357  --header | --heade | --head | --hea )
358    $ac_shift
359    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360    ac_need_defaults=false;;
361  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362  | -silent | --silent | --silen | --sile | --sil | --si | --s)
363    ac_cs_silent=: ;;
364
365  # This is an error.
366  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367Try \`$0 --help' for more information." >&5
368echo "$as_me: error: unrecognized option: $1
369Try \`$0 --help' for more information." >&2;}
370   { (exit 1); exit 1; }; } ;;
371
372  *) ac_config_targets="$ac_config_targets $1" ;;
373
374  esac
375  shift
376done
377
378ac_configure_extra_args=
379
380if $ac_cs_silent; then
381  exec 6>/dev/null
382  ac_configure_extra_args="$ac_configure_extra_args --silent"
383fi
384
385if $ac_cs_recheck; then
386  echo "running /bin/bash ./configure " '--prefix=/platform/i86pc/boot/grub' '--with-binutils=/opt/grubbld/bin' '--disable-dependency-tracking' 'CC=/opt/grubbld/bin/gcc' $ac_configure_extra_args " --no-create --no-recursion" >&6
387  exec /bin/bash ./configure '--prefix=/platform/i86pc/boot/grub' '--with-binutils=/opt/grubbld/bin' '--disable-dependency-tracking' 'CC=/opt/grubbld/bin/gcc' $ac_configure_extra_args --no-create --no-recursion
388fi
389
390#
391# INIT-COMMANDS section.
392#
393
394AMDEP_TRUE="#" ac_aux_dir="."
395
396for ac_config_target in $ac_config_targets
397do
398  case "$ac_config_target" in
399  # Handling of arguments.
400  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401  "stage1/Makefile" ) CONFIG_FILES="$CONFIG_FILES stage1/Makefile" ;;
402  "stage2/Makefile" ) CONFIG_FILES="$CONFIG_FILES stage2/Makefile" ;;
403  "docs/Makefile" ) CONFIG_FILES="$CONFIG_FILES docs/Makefile" ;;
404  "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
405  "util/Makefile" ) CONFIG_FILES="$CONFIG_FILES util/Makefile" ;;
406  "grub/Makefile" ) CONFIG_FILES="$CONFIG_FILES grub/Makefile" ;;
407  "netboot/Makefile" ) CONFIG_FILES="$CONFIG_FILES netboot/Makefile" ;;
408  "util/grub-image" ) CONFIG_FILES="$CONFIG_FILES util/grub-image" ;;
409  "util/grub-install" ) CONFIG_FILES="$CONFIG_FILES util/grub-install" ;;
410  "util/grub-md5-crypt" ) CONFIG_FILES="$CONFIG_FILES util/grub-md5-crypt" ;;
411  "util/grub-terminfo" ) CONFIG_FILES="$CONFIG_FILES util/grub-terminfo" ;;
412  "util/grub-set-default" ) CONFIG_FILES="$CONFIG_FILES util/grub-set-default" ;;
413  "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
414  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
415  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
416echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
417   { (exit 1); exit 1; }; };;
418  esac
419done
420
421# If the user did not use the arguments to specify the items to instantiate,
422# then the envvar interface is used.  Set only those that are not.
423# We use the long form for the default assignment because of an extremely
424# bizarre bug on SunOS 4.1.3.
425if $ac_need_defaults; then
426  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
427  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
428  test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
429fi
430
431# Have a temporary directory for convenience.  Make it in the build tree
432# simply because there is no reason to put it here, and in addition,
433# creating and moving files from /tmp can sometimes cause problems.
434# Create a temporary directory, and hook for its removal unless debugging.
435$debug ||
436{
437  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
438  trap '{ (exit 1); exit 1; }' 1 2 13 15
439}
440
441# Create a (secure) tmp directory for tmp files.
442
443{
444  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
445  test -n "$tmp" && test -d "$tmp"
446}  ||
447{
448  tmp=./confstat$$-$RANDOM
449  (umask 077 && mkdir $tmp)
450} ||
451{
452   echo "$me: cannot create a temporary directory in ." >&2
453   { (exit 1); exit 1; }
454}
455
456
457#
458# CONFIG_FILES section.
459#
460
461# No need to generate the scripts if there are no CONFIG_FILES.
462# This happens for instance when ./config.status config.h
463if test -n "$CONFIG_FILES"; then
464  # Protect against being on the right side of a sed subst in config.status.
465  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
466   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
467s,@SHELL@,/bin/bash,;t t
468s,@PATH_SEPARATOR@,:,;t t
469s,@PACKAGE_NAME@,GRUB,;t t
470s,@PACKAGE_TARNAME@,grub,;t t
471s,@PACKAGE_VERSION@,0.95,;t t
472s,@PACKAGE_STRING@,GRUB 0.95,;t t
473s,@PACKAGE_BUGREPORT@,bug-grub@gnu.org,;t t
474s,@exec_prefix@,${prefix},;t t
475s,@prefix@,/platform/i86pc/boot/grub,;t t
476s,@program_transform_name@,s,x,x,,;t t
477s,@bindir@,${exec_prefix}/bin,;t t
478s,@sbindir@,${exec_prefix}/sbin,;t t
479s,@libexecdir@,${exec_prefix}/libexec,;t t
480s,@datadir@,${prefix}/share,;t t
481s,@sysconfdir@,${prefix}/etc,;t t
482s,@sharedstatedir@,${prefix}/com,;t t
483s,@localstatedir@,${prefix}/var,;t t
484s,@libdir@,${exec_prefix}/lib,;t t
485s,@includedir@,${prefix}/include,;t t
486s,@oldincludedir@,/usr/include,;t t
487s,@infodir@,${prefix}/info,;t t
488s,@mandir@,${prefix}/man,;t t
489s,@build_alias@,,;t t
490s,@host_alias@,,;t t
491s,@target_alias@,,;t t
492s,@DEFS@,-DHAVE_CONFIG_H,;t t
493s,@ECHO_C@,,;t t
494s,@ECHO_N@,-n,;t t
495s,@ECHO_T@,,;t t
496s,@LIBS@,,;t t
497s,@INSTALL_PROGRAM@,${INSTALL},;t t
498s,@INSTALL_SCRIPT@,${INSTALL},;t t
499s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
500s,@CYGPATH_W@,echo,;t t
501s,@PACKAGE@,grub,;t t
502s,@VERSION@,0.95,;t t
503s,@ACLOCAL@,${SHELL} /net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/missing --run aclocal-1.8,;t t
504s,@AUTOCONF@,${SHELL} /net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/missing --run autoconf,;t t
505s,@AUTOMAKE@,${SHELL} /net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/missing --run automake-1.8,;t t
506s,@AUTOHEADER@,${SHELL} /net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/missing --run autoheader,;t t
507s,@MAKEINFO@,${SHELL} /net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/missing --run makeinfo,;t t
508s,@AMTAR@,${SHELL} /net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/missing --run tar,;t t
509s,@install_sh@,/net/zwicky/export5/jongkis/w/boot/usr/src/grub/grub-0.95/install-sh,;t t
510s,@STRIP@,,;t t
511s,@ac_ct_STRIP@,,;t t
512s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
513s,@mkdir_p@,mkdir -p -- .,;t t
514s,@AWK@,gawk,;t t
515s,@SET_MAKE@,,;t t
516s,@am__leading_dot@,.,;t t
517s,@build@,i386-pc-solaris2.10,;t t
518s,@build_cpu@,i386,;t t
519s,@build_vendor@,pc,;t t
520s,@build_os@,solaris2.10,;t t
521s,@host@,i386-pc-solaris2.10,;t t
522s,@host_cpu@,i386,;t t
523s,@host_vendor@,pc,;t t
524s,@host_os@,solaris2.10,;t t
525s,@MAINTAINER_MODE_TRUE@,#,;t t
526s,@MAINTAINER_MODE_FALSE@,,;t t
527s,@MAINT@,#,;t t
528s,@PERL@,,;t t
529s,@CC@,/opt/grubbld/bin/gcc,;t t
530s,@ac_ct_CC@,/opt/grubbld/bin/gcc,;t t
531s,@CFLAGS@,-B/opt/grubbld/bin/   -g,;t t
532s,@LDFLAGS@,,;t t
533s,@CPPFLAGS@, -Wall -Wmissing-prototypes -Wunused -Wshadow -Wpointer-arith -falign-jumps=1 -falign-loops=1 -falign-functions=1 -Wundef,;t t
534s,@EXEEXT@,,;t t
535s,@OBJEXT@,o,;t t
536s,@DEPDIR@,.deps,;t t
537s,@am__include@,include,;t t
538s,@am__quote@,,;t t
539s,@AMDEP_TRUE@,#,;t t
540s,@AMDEP_FALSE@,,;t t
541s,@AMDEPBACKSLASH@,,;t t
542s,@CCDEPMODE@,depmode=none,;t t
543s,@am__fastdepCC_TRUE@,#,;t t
544s,@am__fastdepCC_FALSE@,,;t t
545s,@CCAS@,/opt/grubbld/bin/gcc,;t t
546s,@RANLIB@,/opt/grubbld/bin/ranlib,;t t
547s,@ac_ct_RANLIB@,,;t t
548s,@STAGE1_CFLAGS@,-O2,;t t
549s,@STAGE2_CFLAGS@,-Os,;t t
550s,@GRUB_CFLAGS@,-O2,;t t
551s,@OBJCOPY@,/opt/grubbld/bin/objcopy,;t t
552s,@ac_ct_OBJCOPY@,,;t t
553s,@GRUB_LIBS@, -lcurses,;t t
554s,@CPP@,/opt/grubbld/bin/gcc -E,;t t
555s,@EGREP@,egrep,;t t
556s,@NETBOOT_SUPPORT_TRUE@,#,;t t
557s,@NETBOOT_SUPPORT_FALSE@,,;t t
558s,@DISKLESS_SUPPORT_TRUE@,#,;t t
559s,@DISKLESS_SUPPORT_FALSE@,,;t t
560s,@GRAPHICS_SUPPORT_TRUE@,,;t t
561s,@GRAPHICS_SUPPORT_FALSE@,#,;t t
562s,@HERCULES_SUPPORT_TRUE@,,;t t
563s,@HERCULES_SUPPORT_FALSE@,#,;t t
564s,@SERIAL_SUPPORT_TRUE@,,;t t
565s,@SERIAL_SUPPORT_FALSE@,#,;t t
566s,@SERIAL_SPEED_SIMULATION_TRUE@,#,;t t
567s,@SERIAL_SPEED_SIMULATION_FALSE@,,;t t
568s,@BUILD_EXAMPLE_KERNEL_TRUE@,#,;t t
569s,@BUILD_EXAMPLE_KERNEL_FALSE@,,;t t
570s,@FSYS_CFLAGS@, -DFSYS_EXT2FS=1 -DFSYS_FAT=1 -DFSYS_FFS=1 -DFSYS_UFS=1 -DFSYS_UFS2=1 -DFSYS_MINIX=1 -DFSYS_REISERFS=1 -DFSYS_VSTAFS=1 -DFSYS_JFS=1 -DFSYS_XFS=1 -DFSYS_ISO9660=1 -DUSE_MD5_PASSWORDS=1,;t t
571s,@NET_CFLAGS@,,;t t
572s,@NET_EXTRAFLAGS@, -DCONGESTED=1 -DNE_SCAN=0x280,0x300,0x320,0x340 -DWD_DEFAULT_MEM=0xCC000,;t t
573s,@NETBOOT_DRIVERS@,,;t t
574s,@CCASFLAGS@,$(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(CPPFLAGS) $(CFLAGS),;t t
575s,@LIBOBJS@,,;t t
576s,@LTLIBOBJS@,,;t t
577CEOF
578
579  # Split the substitutions into bite-sized pieces for seds with
580  # small command number limits, like on Digital OSF/1 and HP-UX.
581  ac_max_sed_lines=48
582  ac_sed_frag=1 # Number of current file.
583  ac_beg=1 # First line for current file.
584  ac_end=$ac_max_sed_lines # Line after last line for current file.
585  ac_more_lines=:
586  ac_sed_cmds=
587  while $ac_more_lines; do
588    if test $ac_beg -gt 1; then
589      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
590    else
591      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
592    fi
593    if test ! -s $tmp/subs.frag; then
594      ac_more_lines=false
595    else
596      # The purpose of the label and of the branching condition is to
597      # speed up the sed processing (if there are no `@' at all, there
598      # is no need to browse any of the substitutions).
599      # These are the two extra sed commands mentioned above.
600      (echo ':t
601  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
602      if test -z "$ac_sed_cmds"; then
603	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
604      else
605	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
606      fi
607      ac_sed_frag=`expr $ac_sed_frag + 1`
608      ac_beg=$ac_end
609      ac_end=`expr $ac_end + $ac_max_sed_lines`
610    fi
611  done
612  if test -z "$ac_sed_cmds"; then
613    ac_sed_cmds=cat
614  fi
615fi # test -n "$CONFIG_FILES"
616
617for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
618  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
619  case $ac_file in
620  - | *:- | *:-:* ) # input from stdin
621	cat >$tmp/stdin
622	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
623	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
624  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
625	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
626  * )   ac_file_in=$ac_file.in ;;
627  esac
628
629  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
630  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
631$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
632	 X"$ac_file" : 'X\(//\)[^/]' \| \
633	 X"$ac_file" : 'X\(//\)$' \| \
634	 X"$ac_file" : 'X\(/\)' \| \
635	 .     : '\(.\)' 2>/dev/null ||
636echo X"$ac_file" |
637    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
638  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
639  	  /^X\(\/\/\)$/{ s//\1/; q; }
640  	  /^X\(\/\).*/{ s//\1/; q; }
641  	  s/.*/./; q'`
642  { if $as_mkdir_p; then
643    mkdir -p "$ac_dir"
644  else
645    as_dir="$ac_dir"
646    as_dirs=
647    while test ! -d "$as_dir"; do
648      as_dirs="$as_dir $as_dirs"
649      as_dir=`(dirname "$as_dir") 2>/dev/null ||
650$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
651	 X"$as_dir" : 'X\(//\)[^/]' \| \
652	 X"$as_dir" : 'X\(//\)$' \| \
653	 X"$as_dir" : 'X\(/\)' \| \
654	 .     : '\(.\)' 2>/dev/null ||
655echo X"$as_dir" |
656    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
657  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
658  	  /^X\(\/\/\)$/{ s//\1/; q; }
659  	  /^X\(\/\).*/{ s//\1/; q; }
660  	  s/.*/./; q'`
661    done
662    test ! -n "$as_dirs" || mkdir $as_dirs
663  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
664echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
665   { (exit 1); exit 1; }; }; }
666
667  ac_builddir=.
668
669if test "$ac_dir" != .; then
670  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
671  # A "../" for each directory in $ac_dir_suffix.
672  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
673else
674  ac_dir_suffix= ac_top_builddir=
675fi
676
677case $srcdir in
678  .)  # No --srcdir option.  We are building in place.
679    ac_srcdir=.
680    if test -z "$ac_top_builddir"; then
681       ac_top_srcdir=.
682    else
683       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
684    fi ;;
685  [\\/]* | ?:[\\/]* )  # Absolute path.
686    ac_srcdir=$srcdir$ac_dir_suffix;
687    ac_top_srcdir=$srcdir ;;
688  *) # Relative path.
689    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
690    ac_top_srcdir=$ac_top_builddir$srcdir ;;
691esac
692
693# Do not use `cd foo && pwd` to compute absolute paths, because
694# the directories may not exist.
695case `pwd` in
696.) ac_abs_builddir="$ac_dir";;
697*)
698  case "$ac_dir" in
699  .) ac_abs_builddir=`pwd`;;
700  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
701  *) ac_abs_builddir=`pwd`/"$ac_dir";;
702  esac;;
703esac
704case $ac_abs_builddir in
705.) ac_abs_top_builddir=${ac_top_builddir}.;;
706*)
707  case ${ac_top_builddir}. in
708  .) ac_abs_top_builddir=$ac_abs_builddir;;
709  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
710  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
711  esac;;
712esac
713case $ac_abs_builddir in
714.) ac_abs_srcdir=$ac_srcdir;;
715*)
716  case $ac_srcdir in
717  .) ac_abs_srcdir=$ac_abs_builddir;;
718  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
719  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
720  esac;;
721esac
722case $ac_abs_builddir in
723.) ac_abs_top_srcdir=$ac_top_srcdir;;
724*)
725  case $ac_top_srcdir in
726  .) ac_abs_top_srcdir=$ac_abs_builddir;;
727  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
728  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
729  esac;;
730esac
731
732
733  case $INSTALL in
734  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
735  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
736  esac
737
738  if test x"$ac_file" != x-; then
739    { echo "$as_me:$LINENO: creating $ac_file" >&5
740echo "$as_me: creating $ac_file" >&6;}
741    rm -f "$ac_file"
742  fi
743  # Let's still pretend it is `configure' which instantiates (i.e., don't
744  # use $as_me), people would be surprised to read:
745  #    /* config.h.  Generated by config.status.  */
746  if test x"$ac_file" = x-; then
747    configure_input=
748  else
749    configure_input="$ac_file.  "
750  fi
751  configure_input=$configure_input"Generated from `echo $ac_file_in |
752				     sed 's,.*/,,'` by configure."
753
754  # First look for the input files in the build tree, otherwise in the
755  # src tree.
756  ac_file_inputs=`IFS=:
757    for f in $ac_file_in; do
758      case $f in
759      -) echo $tmp/stdin ;;
760      [\\/$]*)
761	 # Absolute (can't be DOS-style, as IFS=:)
762	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
763echo "$as_me: error: cannot find input file: $f" >&2;}
764   { (exit 1); exit 1; }; }
765	 echo "$f";;
766      *) # Relative
767	 if test -f "$f"; then
768	   # Build tree
769	   echo "$f"
770	 elif test -f "$srcdir/$f"; then
771	   # Source tree
772	   echo "$srcdir/$f"
773	 else
774	   # /dev/null tree
775	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
776echo "$as_me: error: cannot find input file: $f" >&2;}
777   { (exit 1); exit 1; }; }
778	 fi;;
779      esac
780    done` || { (exit 1); exit 1; }
781  sed "/^[	 ]*VPATH[	 ]*=/{
782s/:*\$(srcdir):*/:/;
783s/:*\${srcdir}:*/:/;
784s/:*@srcdir@:*/:/;
785s/^\([^=]*=[	 ]*\):*/\1/;
786s/:*$//;
787s/^[^=]*=[	 ]*$//;
788}
789
790:t
791/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
792s,@configure_input@,$configure_input,;t t
793s,@srcdir@,$ac_srcdir,;t t
794s,@abs_srcdir@,$ac_abs_srcdir,;t t
795s,@top_srcdir@,$ac_top_srcdir,;t t
796s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
797s,@builddir@,$ac_builddir,;t t
798s,@abs_builddir@,$ac_abs_builddir,;t t
799s,@top_builddir@,$ac_top_builddir,;t t
800s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
801s,@INSTALL@,$ac_INSTALL,;t t
802" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
803  rm -f $tmp/stdin
804  if test x"$ac_file" != x-; then
805    mv $tmp/out $ac_file
806  else
807    cat $tmp/out
808    rm -f $tmp/out
809  fi
810
811done
812
813#
814# CONFIG_HEADER section.
815#
816
817# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
818# NAME is the cpp macro being defined and VALUE is the value it is being given.
819#
820# ac_d sets the value in "#define NAME VALUE" lines.
821ac_dA='s,^\([	 ]*\)#\([	 ]*define[	 ][	 ]*\)'
822ac_dB='[	 ].*$,\1#\2'
823ac_dC=' '
824ac_dD=',;t'
825# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
826ac_uA='s,^\([	 ]*\)#\([	 ]*\)undef\([	 ][	 ]*\)'
827ac_uB='$,\1#\2define\3'
828ac_uC=' '
829ac_uD=',;t'
830
831for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
832  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
833  case $ac_file in
834  - | *:- | *:-:* ) # input from stdin
835	cat >$tmp/stdin
836	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
837	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
838  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
839	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
840  * )   ac_file_in=$ac_file.in ;;
841  esac
842
843  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
844echo "$as_me: creating $ac_file" >&6;}
845
846  # First look for the input files in the build tree, otherwise in the
847  # src tree.
848  ac_file_inputs=`IFS=:
849    for f in $ac_file_in; do
850      case $f in
851      -) echo $tmp/stdin ;;
852      [\\/$]*)
853	 # Absolute (can't be DOS-style, as IFS=:)
854	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
855echo "$as_me: error: cannot find input file: $f" >&2;}
856   { (exit 1); exit 1; }; }
857	 # Do quote $f, to prevent DOS paths from being IFS'd.
858	 echo "$f";;
859      *) # Relative
860	 if test -f "$f"; then
861	   # Build tree
862	   echo "$f"
863	 elif test -f "$srcdir/$f"; then
864	   # Source tree
865	   echo "$srcdir/$f"
866	 else
867	   # /dev/null tree
868	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
869echo "$as_me: error: cannot find input file: $f" >&2;}
870   { (exit 1); exit 1; }; }
871	 fi;;
872      esac
873    done` || { (exit 1); exit 1; }
874  # Remove the trailing spaces.
875  sed 's/[	 ]*$//' $ac_file_inputs >$tmp/in
876
877  # Handle all the #define templates only if necessary.
878  if grep "^[	 ]*#[	 ]*define" $tmp/in >/dev/null; then
879  # If there are no defines, we may have an empty if/fi
880  :
881  cat >$tmp/defines.sed <<CEOF
882/^[	 ]*#[	 ]*define/!b
883t clr
884: clr
885${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"GRUB"${ac_dD}
886${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"grub"${ac_dD}
887${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"0.95"${ac_dD}
888${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"GRUB 0.95"${ac_dD}
889${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"bug-grub@gnu.org"${ac_dD}
890${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"grub"${ac_dD}
891${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.95"${ac_dD}
892${ac_dA}ADDR32${ac_dB}ADDR32${ac_dC}addr32${ac_dD}
893${ac_dA}DATA32${ac_dB}DATA32${ac_dC}data32${ac_dD}
894${ac_dA}HAVE_USCORE_START_SYMBOL${ac_dB}HAVE_USCORE_START_SYMBOL${ac_dC}1${ac_dD}
895${ac_dA}HAVE_USCORE_USCORE_BSS_START_SYMBOL${ac_dB}HAVE_USCORE_USCORE_BSS_START_SYMBOL${ac_dC}1${ac_dD}
896${ac_dA}HAVE_USCORE_EDATA_SYMBOL${ac_dB}HAVE_USCORE_EDATA_SYMBOL${ac_dC}1${ac_dD}
897${ac_dA}HAVE_EDATA_SYMBOL${ac_dB}HAVE_EDATA_SYMBOL${ac_dC}1${ac_dD}
898${ac_dA}HAVE_END_SYMBOL${ac_dB}HAVE_END_SYMBOL${ac_dC}1${ac_dD}
899${ac_dA}HAVE_USCORE_END_SYMBOL${ac_dB}HAVE_USCORE_END_SYMBOL${ac_dC}1${ac_dD}
900${ac_dA}HAVE_LIBCURSES${ac_dB}HAVE_LIBCURSES${ac_dC}1${ac_dD}
901${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
902${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
903${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
904${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
905${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
906${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
907${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
908${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
909${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
910${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
911${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
912${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
913${ac_dA}HAVE_CURSES_H${ac_dB}HAVE_CURSES_H${ac_dC}1${ac_dD}
914${ac_dA}AUTO_LINUX_MEM_OPT${ac_dB}AUTO_LINUX_MEM_OPT${ac_dC}1${ac_dD}
915CEOF
916  sed -f $tmp/defines.sed $tmp/in >$tmp/out
917  rm -f $tmp/in
918  mv $tmp/out $tmp/in
919
920  fi # grep
921
922  # Handle all the #undef templates
923  cat >$tmp/undefs.sed <<CEOF
924/^[	 ]*#[	 ]*undef/!b
925t clr
926: clr
927${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"GRUB"${ac_uD}
928${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"grub"${ac_uD}
929${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"0.95"${ac_uD}
930${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"GRUB 0.95"${ac_uD}
931${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"bug-grub@gnu.org"${ac_uD}
932${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"grub"${ac_uD}
933${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.95"${ac_uD}
934${ac_uA}ADDR32${ac_uB}ADDR32${ac_uC}addr32${ac_uD}
935${ac_uA}DATA32${ac_uB}DATA32${ac_uC}data32${ac_uD}
936${ac_uA}HAVE_USCORE_START_SYMBOL${ac_uB}HAVE_USCORE_START_SYMBOL${ac_uC}1${ac_uD}
937${ac_uA}HAVE_USCORE_USCORE_BSS_START_SYMBOL${ac_uB}HAVE_USCORE_USCORE_BSS_START_SYMBOL${ac_uC}1${ac_uD}
938${ac_uA}HAVE_USCORE_EDATA_SYMBOL${ac_uB}HAVE_USCORE_EDATA_SYMBOL${ac_uC}1${ac_uD}
939${ac_uA}HAVE_EDATA_SYMBOL${ac_uB}HAVE_EDATA_SYMBOL${ac_uC}1${ac_uD}
940${ac_uA}HAVE_END_SYMBOL${ac_uB}HAVE_END_SYMBOL${ac_uC}1${ac_uD}
941${ac_uA}HAVE_USCORE_END_SYMBOL${ac_uB}HAVE_USCORE_END_SYMBOL${ac_uC}1${ac_uD}
942${ac_uA}HAVE_LIBCURSES${ac_uB}HAVE_LIBCURSES${ac_uC}1${ac_uD}
943${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
944${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
945${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
946${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
947${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
948${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
949${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
950${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
951${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
952${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
953${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
954${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
955${ac_uA}HAVE_CURSES_H${ac_uB}HAVE_CURSES_H${ac_uC}1${ac_uD}
956${ac_uA}AUTO_LINUX_MEM_OPT${ac_uB}AUTO_LINUX_MEM_OPT${ac_uC}1${ac_uD}
957s,^[	 ]*#[	 ]*undef[	 ][	 ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
958CEOF
959  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
960  rm -f $tmp/in
961  mv $tmp/out $tmp/in
962
963  # Let's still pretend it is `configure' which instantiates (i.e., don't
964  # use $as_me), people would be surprised to read:
965  #    /* config.h.  Generated by config.status.  */
966  if test x"$ac_file" = x-; then
967    echo "/* Generated by configure.  */" >$tmp/config.h
968  else
969    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
970  fi
971  cat $tmp/in >>$tmp/config.h
972  rm -f $tmp/in
973  if test x"$ac_file" != x-; then
974    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
975      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
976echo "$as_me: $ac_file is unchanged" >&6;}
977    else
978      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
979$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
980	 X"$ac_file" : 'X\(//\)[^/]' \| \
981	 X"$ac_file" : 'X\(//\)$' \| \
982	 X"$ac_file" : 'X\(/\)' \| \
983	 .     : '\(.\)' 2>/dev/null ||
984echo X"$ac_file" |
985    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
986  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
987  	  /^X\(\/\/\)$/{ s//\1/; q; }
988  	  /^X\(\/\).*/{ s//\1/; q; }
989  	  s/.*/./; q'`
990      { if $as_mkdir_p; then
991    mkdir -p "$ac_dir"
992  else
993    as_dir="$ac_dir"
994    as_dirs=
995    while test ! -d "$as_dir"; do
996      as_dirs="$as_dir $as_dirs"
997      as_dir=`(dirname "$as_dir") 2>/dev/null ||
998$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
999	 X"$as_dir" : 'X\(//\)[^/]' \| \
1000	 X"$as_dir" : 'X\(//\)$' \| \
1001	 X"$as_dir" : 'X\(/\)' \| \
1002	 .     : '\(.\)' 2>/dev/null ||
1003echo X"$as_dir" |
1004    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1005  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1006  	  /^X\(\/\/\)$/{ s//\1/; q; }
1007  	  /^X\(\/\).*/{ s//\1/; q; }
1008  	  s/.*/./; q'`
1009    done
1010    test ! -n "$as_dirs" || mkdir $as_dirs
1011  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1012echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1013   { (exit 1); exit 1; }; }; }
1014
1015      rm -f $ac_file
1016      mv $tmp/config.h $ac_file
1017    fi
1018  else
1019    cat $tmp/config.h
1020    rm -f $tmp/config.h
1021  fi
1022# Compute $ac_file's index in $config_headers.
1023_am_stamp_count=1
1024for _am_header in $config_headers :; do
1025  case $_am_header in
1026    $ac_file | $ac_file:* )
1027      break ;;
1028    * )
1029      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1030  esac
1031done
1032echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
1033$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1034	 X$ac_file : 'X\(//\)[^/]' \| \
1035	 X$ac_file : 'X\(//\)$' \| \
1036	 X$ac_file : 'X\(/\)' \| \
1037	 .     : '\(.\)' 2>/dev/null ||
1038echo X$ac_file |
1039    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1040  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1041  	  /^X\(\/\/\)$/{ s//\1/; q; }
1042  	  /^X\(\/\).*/{ s//\1/; q; }
1043  	  s/.*/./; q'`/stamp-h$_am_stamp_count
1044done
1045
1046#
1047# CONFIG_COMMANDS section.
1048#
1049for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1050  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1051  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1052  ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1053$as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1054	 X"$ac_dest" : 'X\(//\)[^/]' \| \
1055	 X"$ac_dest" : 'X\(//\)$' \| \
1056	 X"$ac_dest" : 'X\(/\)' \| \
1057	 .     : '\(.\)' 2>/dev/null ||
1058echo X"$ac_dest" |
1059    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1060  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1061  	  /^X\(\/\/\)$/{ s//\1/; q; }
1062  	  /^X\(\/\).*/{ s//\1/; q; }
1063  	  s/.*/./; q'`
1064  { if $as_mkdir_p; then
1065    mkdir -p "$ac_dir"
1066  else
1067    as_dir="$ac_dir"
1068    as_dirs=
1069    while test ! -d "$as_dir"; do
1070      as_dirs="$as_dir $as_dirs"
1071      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1072$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1073	 X"$as_dir" : 'X\(//\)[^/]' \| \
1074	 X"$as_dir" : 'X\(//\)$' \| \
1075	 X"$as_dir" : 'X\(/\)' \| \
1076	 .     : '\(.\)' 2>/dev/null ||
1077echo X"$as_dir" |
1078    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1079  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1080  	  /^X\(\/\/\)$/{ s//\1/; q; }
1081  	  /^X\(\/\).*/{ s//\1/; q; }
1082  	  s/.*/./; q'`
1083    done
1084    test ! -n "$as_dirs" || mkdir $as_dirs
1085  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1086echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1087   { (exit 1); exit 1; }; }; }
1088
1089  ac_builddir=.
1090
1091if test "$ac_dir" != .; then
1092  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1093  # A "../" for each directory in $ac_dir_suffix.
1094  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1095else
1096  ac_dir_suffix= ac_top_builddir=
1097fi
1098
1099case $srcdir in
1100  .)  # No --srcdir option.  We are building in place.
1101    ac_srcdir=.
1102    if test -z "$ac_top_builddir"; then
1103       ac_top_srcdir=.
1104    else
1105       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1106    fi ;;
1107  [\\/]* | ?:[\\/]* )  # Absolute path.
1108    ac_srcdir=$srcdir$ac_dir_suffix;
1109    ac_top_srcdir=$srcdir ;;
1110  *) # Relative path.
1111    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1112    ac_top_srcdir=$ac_top_builddir$srcdir ;;
1113esac
1114
1115# Do not use `cd foo && pwd` to compute absolute paths, because
1116# the directories may not exist.
1117case `pwd` in
1118.) ac_abs_builddir="$ac_dir";;
1119*)
1120  case "$ac_dir" in
1121  .) ac_abs_builddir=`pwd`;;
1122  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1123  *) ac_abs_builddir=`pwd`/"$ac_dir";;
1124  esac;;
1125esac
1126case $ac_abs_builddir in
1127.) ac_abs_top_builddir=${ac_top_builddir}.;;
1128*)
1129  case ${ac_top_builddir}. in
1130  .) ac_abs_top_builddir=$ac_abs_builddir;;
1131  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1132  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1133  esac;;
1134esac
1135case $ac_abs_builddir in
1136.) ac_abs_srcdir=$ac_srcdir;;
1137*)
1138  case $ac_srcdir in
1139  .) ac_abs_srcdir=$ac_abs_builddir;;
1140  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1141  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1142  esac;;
1143esac
1144case $ac_abs_builddir in
1145.) ac_abs_top_srcdir=$ac_top_srcdir;;
1146*)
1147  case $ac_top_srcdir in
1148  .) ac_abs_top_srcdir=$ac_abs_builddir;;
1149  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1150  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1151  esac;;
1152esac
1153
1154
1155  { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1156echo "$as_me: executing $ac_dest commands" >&6;}
1157  case $ac_dest in
1158    depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1159  # Strip MF so we end up with the name of the file.
1160  mf=`echo "$mf" | sed -e 's/:.*$//'`
1161  # Check whether this is an Automake generated Makefile or not.
1162  # We used to match only the files named `Makefile.in', but
1163  # some people rename them; so instead we look at the file content.
1164  # Grep'ing the first line is not enough: some people post-process
1165  # each Makefile.in and add a new line on top of each file to say so.
1166  # So let's grep whole file.
1167  if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1168    dirpart=`(dirname "$mf") 2>/dev/null ||
1169$as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1170	 X"$mf" : 'X\(//\)[^/]' \| \
1171	 X"$mf" : 'X\(//\)$' \| \
1172	 X"$mf" : 'X\(/\)' \| \
1173	 .     : '\(.\)' 2>/dev/null ||
1174echo X"$mf" |
1175    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1176  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1177  	  /^X\(\/\/\)$/{ s//\1/; q; }
1178  	  /^X\(\/\).*/{ s//\1/; q; }
1179  	  s/.*/./; q'`
1180  else
1181    continue
1182  fi
1183  grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
1184  # Extract the definition of DEP_FILES from the Makefile without
1185  # running `make'.
1186  DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
1187  test -z "$DEPDIR" && continue
1188  # When using ansi2knr, U may be empty or an underscore; expand it
1189  U=`sed -n -e '/^U = / s///p' < "$mf"`
1190  test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
1191  # We invoke sed twice because it is the simplest approach to
1192  # changing $(DEPDIR) to its actual value in the expansion.
1193  for file in `sed -n -e '
1194    /^DEP_FILES = .*\\\\$/ {
1195      s/^DEP_FILES = //
1196      :loop
1197	s/\\\\$//
1198	p
1199	n
1200	/\\\\$/ b loop
1201      p
1202    }
1203    /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1204       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1205    # Make sure the directory exists.
1206    test -f "$dirpart/$file" && continue
1207    fdir=`(dirname "$file") 2>/dev/null ||
1208$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1209	 X"$file" : 'X\(//\)[^/]' \| \
1210	 X"$file" : 'X\(//\)$' \| \
1211	 X"$file" : 'X\(/\)' \| \
1212	 .     : '\(.\)' 2>/dev/null ||
1213echo X"$file" |
1214    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1215  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1216  	  /^X\(\/\/\)$/{ s//\1/; q; }
1217  	  /^X\(\/\).*/{ s//\1/; q; }
1218  	  s/.*/./; q'`
1219    { if $as_mkdir_p; then
1220    mkdir -p $dirpart/$fdir
1221  else
1222    as_dir=$dirpart/$fdir
1223    as_dirs=
1224    while test ! -d "$as_dir"; do
1225      as_dirs="$as_dir $as_dirs"
1226      as_dir=`(dirname "$as_dir") 2>/dev/null ||
1227$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1228	 X"$as_dir" : 'X\(//\)[^/]' \| \
1229	 X"$as_dir" : 'X\(//\)$' \| \
1230	 X"$as_dir" : 'X\(/\)' \| \
1231	 .     : '\(.\)' 2>/dev/null ||
1232echo X"$as_dir" |
1233    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1234  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1235  	  /^X\(\/\/\)$/{ s//\1/; q; }
1236  	  /^X\(\/\).*/{ s//\1/; q; }
1237  	  s/.*/./; q'`
1238    done
1239    test ! -n "$as_dirs" || mkdir $as_dirs
1240  fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1241echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1242   { (exit 1); exit 1; }; }; }
1243
1244    # echo "creating $dirpart/$file"
1245    echo '# dummy' > "$dirpart/$file"
1246  done
1247done
1248 ;;
1249  esac
1250done
1251
1252{ (exit 0); exit 0; }
1253